---
page_title: Order Status for Split Settlement
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/split-settlement/order-status-for-split-settlement
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fsplit-settlement%2Forder-status-for-split-settlement
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Order Status for Split Settlement



**split_settlement_response**  block in the Order Status response would help the merchant to confirm the below points:

* If split settlement was successfully applied (_split_applied: TRUE_ )
* Amount settled in the respective sub-account IDs (_split_details_ )## Endpoints:
- Sandbox: https://sandbox.juspay.in/orders/{order_id}

- Production: https://api.juspay.in/orders/{order_id}

## Request Type: 
GET

## Headers:

#### Content-Type:
application/x-www-form-urlencoded
- Tags: string, Required

#### Authorization:
Basic of Based 64 encoded value of API key
- Tags: string, Required

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location --request GET 'https://api.juspay.in/orders/splitsettlement_1619009418_test' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'x-routing-id: customer_1122'\
--header 'Authorization: Basic <base64 of Merchant API Key>'

```

### Sample Response:

#### Charged Response:
```plaintext
{
    "payment_method": "",
    "customer_phone": "FILTERED",
    "payment_gateway_response": {
        "network_error_message": null,
        "txn_id": "id-test-1",
        "rrn": "40444",
        "debit_amount": "9428.0",
        "auth_id_code": "R098",
        "resp_message": "",
        "epg_txn_id": "pay_NaK2rOJSi",
        "resp_code": "captured",
        "created": "2024-02-13T09:57:50Z",
        "network_error_code": null
    },
    "udf8": "",
    "txn_id": "id-test-1",
    "order_id": "test",
    "maximum_eligible_refund_amount": 9428,
    "udf9": "",
    "customer_id": "c5f83b4850b5ae8",
    "amount": 9428,
    "split_settlement_response": {
        "split_details": [
            {
                "sub_vendor_id": "FILTERED",
                "amount": 9428,
                "merchant_commission": 0,
                "gateway_sub_account_id": "FILTERED",
                "epg_txn_id": "trf_NaK2qkzlA6",
                "notes": "{\"note\":{\"juspayVendorId\":\"47586\",\"leadId\":\"65cb2adc9925c1d\",\"transactionId\":\"ID-test\",\"proposalNumber\":\"2955\"},\"linked_account_notes\":[\"transactionId\",\"leadId\",\"proposalNumber\"]}"
            }
        ],
        "split_applied": true
    },
    "status": "CHARGED",
    "udf5": "",
    "udf6": "",
    "status_id": 21,
    "offers": [],
    "udf7": "",
    "resp_message": null,
    "product_id": "",
    "refunded": false,
    "gateway_id": ,
    "date_created": "2024-02-13T09:56:01Z",
    "id": "ordeh_174d12d0b749b7e10",
    "merchant_id": "TEST_MID",
    "return_url": "https://test/juspay/success/test",
    "effective_amount": "FILTERED",
    "currency": "INR",
    "auth_type": "",
    "customer_email": "1111111",
    "resp_code": null,
    "payment_method_type": "CARD",
    "txn_uuid": "mozvMas6UaG",
    "resp_category": null,
    "payment_links": {
        "mobile": "https://api.juspay.in/orders/ordeh_174d12d0b749b7e10/payment-page",
        "web": "https://api.juspay.in/orders/ordeh_174d12d0b749b7e10/payment-page",
        "iframe": "https://api.juspay.in/orders/ordeh_174d12d0b749b7e10/payment-page"
    },
    "amount_refunded": 0,
    "bank_error_code": "",
    "bank_error_message": ""

```

#### Failure Response:
```plaintext
{"success":false,"message":"Failed to fetch snippet"}
```

## Path Parameters:

#### order_id:
Order Id
- Value: Example:- ord_4367494
- Tags: String, Mandatory
## API Responses:
### 200:

#### udf1-10:
- Tags: string

#### txn_uuid:
- Description: eul4bnuBAnnC7UivV8k
- Tags: string

#### txn_id:
- Description: splitsettlement_1619009418_test
- Tags: string

#### txn_detail:
- Value:
  - **Txn_uuid**:
    - Description: eul4bnuBAnnC7UivV8k
    - Tags: string
  - **Txn_id**:
    - Description: splitsettlement_1619009418_test
    - Tags: string
  - **Txn_amount**:
    - Tags: integer
  - **Tax_amount**:
  - **Surcharge_amount**:
  - **Status**:
    - Description: CHARGED
    - Tags: string
  - **Redirect**:
    - Tags: boolean
  - **Order_id**:
    - Description: splitsettlement_1619009418_test
    - Tags: string
  - **Net_amount**:
    - Tags: integer
  - **Gateway_id**:
    - Tags: integer
  - **Gateway**:
    - Description: CCAVENUE_V2
    - Tags: string
  - **Express_checkout**:
    - Tags: boolean
  - **Error_message**:
    - Tags: string
  - **Error_code**:
    - Tags: string
  - **Currency**:
    - Description: INR
    - Tags: string
  - **Created**:
    - Description: 2021-04-21T06:28:11Z
    - Tags: string
- Tags: object

#### status_id:
- Tags: integer

#### status:
- Description: CHARGED
- Tags: string

#### split_settlement_response:
- Value:
  - **Split_details.sub_vendor_id**:
    - Tags: String
  - **Split_details.amount**:
    - Tags: integer
  - **Split_applied**:
    - Tags: String
- Tags: object

#### return_url:
- Description: https://www.google.com
- Tags: string

#### refunded:
- Tags: boolean

#### product_id:
- Tags: string

#### payment_method_type:
- Description: CARD
- Tags: string

#### payment_method:
- Description: VISA
- Tags: string

#### payment_links:
- Value:
  - **Web**:
    - Description: https://api.juspay.in/merchant/pay/ordeh_16c54f506c1143a88d2aca61533e8b56
    - Tags: string
  - **Mobile**:
    - Description: https://api.juspay.in/merchant/pay/ordeh_16c54f506c1143a88d2aca61533e8b56?mobile=true
    - Tags: string
  - **Iframe**:
    - Description: https://api.juspay.in/merchant/ipay/ordeh_16c54f506c1143a88d2aca61533e8b56
    - Tags: string
- Tags: object

#### payment_gateway_response:
- Value:
  - **Txn_id**:
    - Description: splitsettlement_1619009418_test
    - Tags: string
  - **Rrn**:
    - Description: 768370
    - Tags: string
  - **Resp_message**:
    - Description: Approved
    - Tags: string
  - **Resp_code**:
    - Description: Success
    - Tags: string
  - **Epg_txn_id**:
    - Description: 110086948408
    - Tags: string
  - **Created**:
    - Description: 2021-04-21T06:28:49Z
    - Tags: string
  - **Auth_id_code**:
    - Description: NA
    - Tags: string
- Tags: object

#### order_id:
- Description: splitsettlement_1619009418_test
- Tags: string

#### merchant_id:
- Description: merchant identifier
- Tags: string

#### id:
- Description: ordeh_16c54f506c1143a88d2aca61533e8b56
- Tags: string

#### gateway_reference_id:

#### gateway_id:
- Tags: integer

#### date_created:
- Description: 2021-04-21T06:28:09Z
- Tags: string

#### customer_phone:
- Description: 9987039379
- Tags: string

#### customer_id:
- Description: cst_1845074
- Tags: string

#### customer_email:
- Description: juspay@juspay.in
- Tags: string

#### currency:
- Description: INR
- Tags: string

#### card:
- Value:
  - **Using_saved_card**:
    - Tags: boolean
  - **Saved_to_locker**:
    - Tags: boolean
  - **Name_on_card**:
    - Description: XXXX
    - Tags: string
  - **Last_four_digits**:
    - Tags: string
  - **Expiry_year**:
    - Tags: string
  - **Expiry_month**:
    - Tags: string
  - **Card_type**:
    - Description: DEBIT
    - Tags: string
  - **Card_reference**:
    - Tags: string
  - **Card_issuer**:
    - Description: IDFC Bank
    - Tags: string
  - **Card_isin**:
    - Tags: string
  - **Card_fingerprint**:
    - Tags: string
  - **Card_brand**:
    - Description: VISA
    - Tags: string
- Tags: object

#### bank_error_message:
- Tags: string

#### bank_error_code:
- Tags: string

#### auth_type:
- Description: THREE_DS
- Tags: string

#### amount:
- Tags: integer
### 400:

#### status:
- Description: invalid_request_error
- Tags: string

#### error_code:
- Description: bad_authentication
- Tags: string

#### error_message:
- Description: Bad Authentication Data
- Tags: string


---

## See Also

- [Create Order for Split Settlement](https://juspay.io/in/docs/api-reference/docs/split-settlement/create-order-for-split-settlement)
- [Create Refund for Split Settled Transactions](https://juspay.io/in/docs/api-reference/docs/split-settlement/create-refund-for-split-settled-transactions)
